public class eps_gas_test
{
public static void main(String args[])
{
double p=5.0;
double pa1=p*0.2;
double pa2=p*0.1;
double L=100.0;//cm
double Tg=1000.0;
eps_gas egh2o=new eps_gas("h2o",pa1,L,Tg,p);
eps_gas egco2=new eps_gas("co2",pa2,L,Tg,p);
double ksi=pa1/(pa1+pa2);
double x1=Math.log10((pa1+pa2)*L/egh2o.paL0);
double deps=(ksi/(10.7+101.0*ksi)-0.0089*Math.pow(ksi,10.4))*Math.pow(x1,2.76);	
double eps=egh2o.eps+egco2.eps-deps;
System.out.println("epsh20="+egh2o.eps+"epsco2="+egco2.eps+"deps="+deps+"eps="+eps);

}
} 